<template>
  <nav id="sidebar">
    <div class="sidebar-header">
      <h3>{{ appTitle }}</h3>
      <strong>{{ appSubtitle }}</strong>
    </div>

    <ul class="list-unstyled components">
      <item
        v-for="(item, index) in items"
        :item="item"
        :item-id="index"
        v-bind:key="index"
      ></item>
    </ul>
  </nav>
</template>

<script>
import Item from './Item'

export default {
  name: 'Menu',
  props: ['menuKey', 'roleId', 'appTitle', 'appSubtitle'],
  components: {
    Item,
  },
  data() {
    return {
      items: {},
    }
  },
  methods: {
    getMenuTree() {
      let that = this
      axios
        .get(`/api/current-menu/${that.menuKey}/${that.roleId}`)
        .then(response => {
          that.items = JSON.parse(response.data)
        })
    },
  },
  watch: {
    menuKey: function(newVal, oldVal) {
      this.getMenuTree()
    },
  },
  mounted() {
    this.getMenuTree()
  },
}
</script>

<style scoped></style>
